import { Component, inject, OnInit } from '@angular/core';
import { RedemptionListComponent } from "../redemption-list/redemption-list.component";
import { HermesClientService } from '../../hermes-client.service';
import { HttpClient } from '@angular/common/http';
import RedemptionService from '../../shared/services/redemption.service';
import { Observable, of } from 'rxjs';
import Redemption from '../../shared/models/redemption';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'redemptions',
  imports: [RedemptionListComponent],
  templateUrl: './redemptions.component.html',
  styleUrl: './redemptions.component.scss'
})
export class RedemptionsComponent implements OnInit {
  client = inject(HermesClientService);
  http = inject(HttpClient);
  route = inject(ActivatedRoute);
  redemptionService = inject(RedemptionService);
  redemptions: Observable<Redemption[]> | undefined;

  ngOnInit(): void {

  }
}
