

export function containsLettersInOrder(value: string | null, inside: string | null): boolean {
  if (!inside)
    return true;
  if (!value)
    return false;
  return containsLettersInOrderInternal(value, inside, 0, 0);
}

function containsLettersInOrderInternal(value: string, inside: string, indexValue: number, indexInside: number): boolean {
  if (indexInside >= inside.length) {
    return true;
  }
  if (indexValue >= value.length) {
    return false;
  }

  const match = value.at(indexValue) == inside.at(indexInside);
  return containsLettersInOrderInternal(value, inside, indexValue + 1, indexInside + (match ? 1 : 0));
}